> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# (Deprecated) Member credentials

> This endpoint has been deprecated and should no longer be used. Use the update member endpoint to update a member when the member's connection_status is DENIED. Use the resume aggregation endpoint to answer an MFA challenge.  This endpoint was part of a deprecated workflow that required several requests be made to add credentials and resume aggregation. A newer, simpler, and more reliable workflow is now available, as outlined in the [Nexus guide](/api-reference/nexus/overview). This endpoint is still supported for existing integrations, but all partners are encouraged to use the



## OpenAPI

````yaml openapi/nexus/v1.yaml POST /members/{member_guid}/credentials
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /members/{member_guid}/credentials:
    post:
      tags:
        - member credentials
      summary: (Deprecated) Member credentials
      description: >-
        This endpoint has been deprecated and should no longer be used. Use the
        update member endpoint to update a member when the member's
        connection_status is DENIED. Use the resume aggregation endpoint to
        answer an MFA challenge.  This endpoint was part of a deprecated
        workflow that required several requests be made to add credentials and
        resume aggregation. A newer, simpler, and more reliable workflow is now
        available, as outlined in the [Nexus guide](/nexus/). This endpoint is
        still supported for existing integrations, but all partners are
        encouraged to use the
      operationId: createMemberCredentials
      parameters:
        - name: member_guid
          description: The unique identifier for the member. Defined by MX.
          required: true
          in: path
          schema:
            type: string
      requestBody:
        content:
          application/vnd.mx.nexus.v1+json:
            schema:
              $ref: '#/components/schemas/MemberCredentialRequestBody'
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/MemberCredentialResponseBody'
components:
  schemas:
    MemberCredentialRequestBody:
      properties:
        member:
          $ref: '#/components/schemas/MemberCredentialRequest'
      type: object
    MemberCredentialResponseBody:
      properties:
        member_credential:
          $ref: '#/components/schemas/MemberCredentialResponse'
      type: object
    MemberCredentialRequest:
      type: object
      properties:
        credential_guid:
          type: string
          example: CRD-18cd14ce-2628-5eb6-ae17-b11f89d0b667
          description: >-
            GUID for the institution credential needed to be created for the
            member.
        value:
          type: string
          example: user-entered-value
          description: >-
            Response for the credential prompt. IE - enter the username,
            password, and MFA question required by the institution.
        metadata:
          type: string
          example: Additional information
      required:
        - credential_guid
        - value
    MemberCredentialResponse:
      properties:
        guid:
          description: The unique identifier for the member credential. Defined by MX.
          example: MCR-1b2f1146-d54f-510f-84fc-b4cb61cfdcff
          type: string
        credential_guid:
          description: The unique identifier for the credential. Defined by MX.
          example: CRD-19d57512-81e3-1136-b84e-0c46b62a5d7a
          type: string
        member_guid:
          description: The unique identifier for the member. Defined by MX.
          example: MBR-7aa13bdb-2866-ba38-b326-d9fb32268f9b
          type: string
        created_at:
          description: >-
            Date and time the member credential was created, represented in ISO
            8601 format with timestamp.
          example: '2013-05-02T11:19:35.000Z'
          type: string
        updated_at:
          description: >-
            Date and time the member credential was last updated, represented in
            ISO 8601 format with timestamp.
          example: '2013-05-02T11:19:35.000Z'
          type: string
        metadata:
          description: Additional information a partner can store on the member credential.
          example: Additional information
          type: string
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````